/*
    DoubleSimple: DoubleSigFig.h
    Copyright (C) 2003-2006  Macaulay Institute

    This file is part of DoubleSimple, a series of classes for implementing
    various remedies to floating point arithmetic errors.

    DoubleSimple is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    DoubleSimple is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details. (LICENCE file in
    this directory.)

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Contact information:
      Gary Polhill,
      Macaulay Institute, Craigiebuckler, Aberdeen, AB15 8QH. United Kingdom
      g.polhill@macaulay.ac.uk
*/
/*

A subclass of DoubleSimple operating on the basis of a certain number of
significant figures. This class is an abstract class containing common
functionality for DoubleString, DoubleRound, DoubleStringCmp and
DoubleRoundCmp. It won't change the functionality from DoubleSimple at
all if used directly.

*/

#import <DoubleSimple.h>

@interface DoubleSigFig: DoubleSimple {
}

/* New methods for this class */

+setSignificantFigures: (int)sf;
-setSignificantFigures: (int)sf;

+(int)getSignificantFigures;
-(int)getSignificantFigures;


/* Methods to override from DoubleSimple */

+parseValue: (char *)str;

@end
